org.encog.ml.factory

## Class MLMethodFactory

- java.lang.Object
- - org.encog.ml.factory.MLMethodFactory

-     public class MLMethodFactory
      extends Object

  This factory is used to create machine learning methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_AF`
    `static String` | `PROPERTY_CYCLES`
    `static String` | `PROPERTY_POPULATION_SIZE` Population size.
    `static String` | `TYPE_BAYESIAN` String constant for a bayesian neural network.
    `static String` | `TYPE_EPL` A Encog program.
    `static String` | `TYPE_FEEDFORWARD` String constant for feedforward neural networks.
    `static String` | `TYPE_NEAT` A NEAT neural network.
    `static String` | `TYPE_PNN` A probabilistic neural network.
    `static String` | `TYPE_RBFNETWORK` String constant for RBF neural networks.
    `static String` | `TYPE_SOM` String constant for SOMs.
    `static String` | `TYPE_SVM` String constant for support vector machines.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLMethodFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLMethod` | `create(String methodType, String architecture, int input, int output)` Create a new machine learning method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_BAYESIAN

          public static final String TYPE_BAYESIAN

      String constant for a bayesian neural network.
      See Also:
        Constant Field Values

    - #### TYPE_FEEDFORWARD

          public static final String TYPE_FEEDFORWARD

      String constant for feedforward neural networks.
      See Also:
        Constant Field Values

    - #### TYPE_RBFNETWORK

          public static final String TYPE_RBFNETWORK

      String constant for RBF neural networks.
      See Also:
        Constant Field Values

    - #### TYPE_SVM

          public static final String TYPE_SVM

      String constant for support vector machines.
      See Also:
        Constant Field Values

    - #### TYPE_SOM

          public static final String TYPE_SOM

      String constant for SOMs.
      See Also:
        Constant Field Values

    - #### TYPE_PNN

          public static final String TYPE_PNN

      A probabilistic neural network. Supports both PNN & GRNN.
      See Also:
        Constant Field Values

    - #### TYPE_NEAT

          public static final String TYPE_NEAT

      A NEAT neural network.
      See Also:
        Constant Field Values

    - #### TYPE_EPL

          public static final String TYPE_EPL

      A Encog program.
      See Also:
        Constant Field Values

    - #### PROPERTY_AF

          public static final String PROPERTY_AF

      See Also:
        Constant Field Values

    - #### PROPERTY_POPULATION_SIZE

          public static final String PROPERTY_POPULATION_SIZE

      Population size.
      See Also:
        Constant Field Values

    - #### PROPERTY_CYCLES

          public static final String PROPERTY_CYCLES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MLMethodFactory

          public MLMethodFactory()

  - ### Method Detail

    - #### create

          public MLMethod create(String methodType,
                        String architecture,
                        int input,
                        int output)

      Create a new machine learning method.
      Parameters:
        `methodType` - The method to create.
        `architecture` - The architecture string.
        `input` - The input count.
        `output` - The output count.
      Returns:
        The newly created machine learning method.

Copyright © 2014. All Rights Reserved.